
!" КОНСТРУКТОР МОДЕЛЕЙ УГЛЕРОДНОГО ЦИКЛА / окно настроек 3 из 3
!"
!"   Модель углеродного цикла : дополнительные расчеты
!" 
!"   (используется только при выборе опции carbon_model_type = 'other' в окне настроек 1)
!"   (технически представляет собой fortran-модуль, по структуре аналогичный модулям source/carbon/carbon_model_*_aux.f90)
!"   
!"   Комментарий:
!"     - если необходимо выполнить дополнительные расчеты, разместите их в этом модуле внутри предлагаемых процедур
!"     - процедуры вызываются последовательно на разных этапах основного цикла программы (см. source/main.f90)
!"     - для выполнения расчётов требуется предворительное создание файла формата .txt, с заданием там месячных значений:
!"      Поступление углерода, температура, распределение растительности



module carbon_model_user_aux

    use const, only : yrs, day2sec, pi
    use carbon_model_to_core_arg_kit, only : nmonth 
    use grid, only : dt, year_min, year_max

    implicit none
    ! ------- Pools -------

    ! ------- Flows -------

    ! ------- Functions ------------

    ! ------- Coefficients ------------

    ! ------- Climate variables --------

    ! ------- Serve value -------

    ! ------- Station of observation ------

    contains

      subroutine carbon_model_init()


      end subroutine



      subroutine carbon_model_calc_at_timestep()


      end subroutine



      subroutine carbon_model_calc_at_cell(ii, jj)

        integer, intent(in) :: ii, jj

        !print*, 'Variable to check,', 'name',
        !print*, 'Variable to check,', 'name',
        !print*, 'Variable to check,', 'name',
        !print*, 'Variable to check,', 'name',

      end subroutine



      subroutine carbon_model_calc_at_tile(ii,jj, nn)

        integer, intent(in) :: ii, jj, nn



      end subroutine



      subroutine carbon_model_postprocessing()

        use grid, only : date_c

        !write(500,*) date_c%timestamp,';'  ! Вывод переменных

      end subroutine


end module
